#include <stdio.h>
#include <sys/dirent.h>

#define _USE_AC

#include "ac_stdio.h"
#include "ac_dirent.h"

int main(int argc, char **argv) {
	DIR *d;
	struct dirent *dirent;
	char *url;
	if (argc < 2) {
		url = ".";
	} else {
		url = argv[1];
	}
	d = opendir(url);
	if (!d) {
		fprintf(stderr, "couldn't open dir.\n");
		return 1;
	}
	while ((dirent = readdir(d)) != NULL) {
		printf("%s\n", dirent->d_name);
	}
	return 0;
}
